1. Purchase
My Project
  • 🐶 Walk through Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • API
    • V1
      • Vendor
        • Purchase
          • List
            GET
          • Store
            POST
      • Test protected
        GET
  • Campaigns
    • API
      • V1
        • Auth
          • Register
          • Login
          • Logout
        • User
          • Campaign
            • List
            • Store
            • Show
            • Update
            • Delete
        • Campaigns
          • List
          • Detail
          • Donate
          • Donatur list
        • Image
          • Upload Images
          • Delete
  • HOM Gym
    • Login
      POST
    • Upload file
      POST
  • Schemas
    • Sample Schemas
      • Success response
      • Pet
      • Category
      • Tag
  1. Purchase

Store

Developing
POST
/api/v1/vendor/purchases

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dev.your-api-server.com/api/v1/vendor/purchases' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "store_id": 0,
    "vendor_id": 0,
    "transaction_date": "string",
    "amount": 0,
    "note": "string",
    "status": "string",
    "details": {
        "item_id": 0,
        "unit_id": 0,
        "quantity": 0,
        "unit_price": 0,
        "total_price": 0
    }
}'
Response Response Example
{}
Modified at 2025-04-20 11:33:01
Previous
List
Next
Test protected
Built with